reducers-3.12.1: Semigroups, specialized containers and a general map/reduce framework

Copyright | (c) Edward Kmett 2009-2011
License | BSD-style
Maintainer | ekmett@gmail.com
Stability | experimental
Portability | non-portable (MPTCs)
Safe Haskell | Trustworthy
Language | Haskell98

Data.Semigroup.Alt

Description

A semigroup for working `Alt` or `Plus`

Synopsis

- newtype Alter f a = Alter {
  - getAlter :: f a
  }

# Documentation

newtype Alter f a Source

A `Alter` turns any `Alt` instance into a `Semigroup`.

Constructors

Alter |

Fields

getAlter :: f a

Instances

Functor f => Functor (Alter f) Source |
Plus f => Plus (Alter f) Source |
Alt f => Alt (Alter f) Source |
Alt f => Reducer (f a) (Alter f a) Source |
Plus f => Monoid (Alter f a) Source |
Alt f => Semigroup (Alter f a) Source |